> ## Documentation Index
> Fetch the complete documentation index at: https://docs.ankra.ai/llms.txt
> Use this file to discover all available pages before exploring further.

# List OVH flavors available to a credential in a region

> Return the OVH Cloud instance flavors the supplied credential's project can deploy in the given region. Only available flavors are valid for cluster creation.



## OpenAPI

````yaml https://platform.ankra.app/openapi.json get /api/v1/clusters/ovh/flavors
openapi: 3.1.0
info:
  title: FastAPI
  version: 0.1.0
servers:
  - url: https://platform.ankra.app
security: []
paths:
  /api/v1/clusters/ovh/flavors:
    get:
      tags:
        - OVH Cluster API
      summary: List OVH flavors available to a credential in a region
      description: >-
        Return the OVH Cloud instance flavors the supplied credential's project
        can deploy in the given region. Only available flavors are valid for
        cluster creation.
      operationId: list_ovh_flavors_endpoint_api_v1_clusters_ovh_flavors_get
      parameters:
        - in: query
          name: credential_id
          required: true
          schema:
            format: uuid
            title: Credential Id
            type: string
        - in: query
          name: region
          required: true
          schema:
            title: Region
            type: string
        - in: header
          name: authorization
          required: false
          schema:
            anyOf:
              - type: string
              - type: 'null'
            title: Authorization
        - in: header
          name: x-ankra-organisation-id
          required: false
          schema:
            anyOf:
              - type: string
              - type: 'null'
            title: X-Ankra-Organisation-Id
      responses:
        '200':
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/OvhFlavorListResult'
          description: Flavors retrieved successfully
        '401':
          description: Unauthorized
        '404':
          description: Credential not found
        '422':
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/HTTPValidationError'
          description: Validation Error
        '502':
          description: Could not reach OVH to list flavors
components:
  schemas:
    OvhFlavorListResult:
      properties:
        flavors:
          items:
            $ref: '#/components/schemas/OvhFlavor'
          title: Flavors
          type: array
      required:
        - flavors
      title: OvhFlavorListResult
      type: object
    HTTPValidationError:
      properties:
        detail:
          items:
            $ref: '#/components/schemas/ValidationError'
          title: Detail
          type: array
      title: HTTPValidationError
      type: object
    OvhFlavor:
      properties:
        available:
          default: true
          title: Available
          type: boolean
        disk_gb:
          default: 0
          title: Disk Gb
          type: integer
        name:
          title: Name
          type: string
        ram_mb:
          default: 0
          title: Ram Mb
          type: integer
        region:
          title: Region
          type: string
        vcpus:
          default: 0
          title: Vcpus
          type: integer
      required:
        - name
        - region
      title: OvhFlavor
      type: object
    ValidationError:
      properties:
        loc:
          items:
            anyOf:
              - type: string
              - type: integer
          title: Location
          type: array
        msg:
          title: Message
          type: string
        type:
          title: Error Type
          type: string
      required:
        - loc
        - msg
        - type
      title: ValidationError
      type: object

````